- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: aaf78e6b-8d84-42f1-a02a-eed9181ce8f5
    creation_time: 2023-02-17T12:10:19.787263Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: p*s-r*q == 1 && a == y*r+x*p && b == x*q+y*s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 3a6c25bd-40c3-4495-a1a6-a9a4894208a0
    creation_time: 2023-02-17T12:10:19.787554Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 1 == p*s-r*q
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 53189ea0-273f-4dfa-9628-8204b88fd07e
    creation_time: 2023-02-17T12:10:19.787674Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 37
    column: 0
    function: main
  location_invariant:
    string: a == y*r+x*p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5bec5bf1-184d-4c27-9366-8c09995e6f4d
    creation_time: 2023-02-17T12:10:19.787760Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 38
    column: 0
    function: main
  location_invariant:
    string: b == x*q+y*s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 7b6c180c-e137-41fc-be41-026b83adf323
    creation_time: 2023-02-17T12:10:19.787844Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 54
    column: 0
    function: main
  location_invariant:
    string: a-b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5986bce0-07bb-43ac-a9d7-62179a1753af
    creation_time: 2023-02-17T12:10:19.787931Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 55
    column: 0
    function: main
  location_invariant:
    string: p*x+r*y-b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 7fbdcb39-4bba-4f7f-ac91-2edda96dce3c
    creation_time: 2023-02-17T12:10:19.788015Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 56
    column: 0
    function: main
  location_invariant:
    string: q*r-p*s+1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 0656bf62-e7bb-4d38-b896-d7a13e2ce987
    creation_time: 2023-02-17T12:10:19.788143Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 57
    column: 0
    function: main
  location_invariant:
    string: q*x+s*y-b == 0
    type: assertion
    format: C

